Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gobject-introspection-1.32.1 refuses to build
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
houtworm
Apprentice
Apprentice


Joined: 08 Mar 2003
Posts: 290
Location: Den Haag, Netherlands

PostPosted: Tue Nov 13, 2012 11:09 pm    Post subject: gobject-introspection-1.32.1 refuses to build Reply with quote

Code:
# emerge -s gobject-introspection
Searching...                                                                                                                                               
[ Results for search key : gobject-introspection ]                                                                                                         
[ Applications found : 2 ]                                                                                                                                 
                                                                                                                                                           
*  dev-libs/gobject-introspection                                                                                                                           
      Latest version installed: 1.33.14                                                                                                                     
      Homepage:      http://live.gnome.org/GObjectIntrospection/                                                                                           
      Description:   Introspection infrastructure for generating gobject library bindings for various languages                                             
      License:       LGPL-2 GPL-2                                                                                                                           

# emerge -upD world
                                                                                                                                                                                                     These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     UD ] dev-libs/gobject-introspection-1.32.1 [1.33.14]



gentoo wants to downgrade gobject-introspection, so now it tries to build 1-32.1
Code:
gir/gio-2.0.c:32987: Warning: Gio: g_pollable_input_stream_read_nonblocking: unknown parameter 'size' in documentation comment, should be 'count'
/usr/include/glib-2.0/gio/gpollableoutputstream.h:92: Fatal: Gio: can't find parameter size referenced by parameter buffer of 'pollable_output_stream_write_nonblocking'
/usr/include/glib-2.0/gio/gpollableoutputstream.h:92: Fatal: Gio: can't find parameter size referenced by parameter buffer of 'pollable_output_stream_write_nonblocking'


It goes wrong because the include files have changed some day. At my computer at work it still looks ok but not at home. The structure in /usr/include/glib-2.0/gio/gpollableoutputstream.h has changed and that is why I get this error.

So how do I solve this problem?
glib = glib-2.34.2

I tried to unmask gobject-introspection 1.33.14 but failed to do so. The idea was that portage might not complain anymore :-)
Do I really need gobject-introspection?

Code:
# equery d gobject-introspection
 * These packages depend on gobject-introspection:
app-accessibility/at-spi2-core-2.4.2 (introspection ? >=dev-libs/gobject-introspection-0.9.6)
app-crypt/gcr-3.6.1 (introspection ? >=dev-libs/gobject-introspection-1.29)
app-text/poppler-0.20.5 (introspection ? >=dev-libs/gobject-introspection-1.32.1)
dev-libs/atk-2.4.0 (introspection ? >=dev-libs/gobject-introspection-0.6.7)
dev-python/pygobject-3.2.2 (>=dev-libs/gobject-introspection-1.31.20)
gnome-base/gconf-3.2.5 (introspection ? >=dev-libs/gobject-introspection-0.9.5)
[... etc.. only introspection? things ...]

So only pygobject needs it.
And do I need pygobject?

Code:
# equery d pygobject
 * These packages depend on pygobject:
app-admin/system-config-printer-common-1.3.12 (>=dev-python/pygobject-2.21.5:2)
dev-python/dbus-python-1.1.1 (test ? dev-python/pygobject:2)
                             (test ? dev-python/pygobject:3)
dev-python/gst-python-0.10.22 (>=dev-python/pygobject-2.28:2)
dev-python/pygobject-2.28.6-r52 (introspection ? dev-python/pygobject:3)
dev-python/pygtk-2.24.0-r2 (>=dev-python/pygobject-2.21.3:2)
dev-python/pygtksourceview-2.10.1 (>=dev-python/pygobject-2.15.2:2)
gnome-extra/zeitgeist-0.9.5 (dev-python/pygobject:2)
media-libs/gegl-0.2.0-r1 (introspection ? >=dev-python/pygobject-2.26:2)
net-libs/farsight2-0.0.31 (python ? >=dev-python/pygobject-2.16:2)
net-libs/gupnp-igd-0.2.1 (python ? >=dev-python/pygobject-2.16:2)
net-print/hplip-3.12.10a (!minimal ? dev-python/pygobject:2)
net-wireless/bluez-4.101-r3 (test-programs ? dev-python/pygobject:2)

i think there is no way without it.

Is there a way out of this? Downgrading glib does work. Portage refuses to downgrade it.
Unmasking gobject-introspection-1.33.14 ? It is hardmasked. How do I do that?
Other solutions?

--Kees
_________________
niemand is onbekwamer, dan een timmerman zonder hamer

Kees
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5652

PostPosted: Wed Nov 14, 2012 1:54 am    Post subject: Reply with quote

Version of gobject-introspection must match the version of glib released in the same cycle.
Back to top
View user's profile Send private message
houtworm
Apprentice
Apprentice


Joined: 08 Mar 2003
Posts: 290
Location: Den Haag, Netherlands

PostPosted: Wed Nov 14, 2012 2:02 am    Post subject: Reply with quote

Ok but how can I fix this?
_________________
niemand is onbekwamer, dan een timmerman zonder hamer

Kees
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum